#pragma once
#include "MPFW_BackendDefinition.h"


class BackEnd_Raylib : public MPFW::Backends::Video::BackEnd {
public:
	void Create(MPFW::Backends::Video::ContextParameters param);

	int BE_LoadFont(std::string path);
	void BE_DrawText(int fontId, std::string text, int x, int y, int fontSize);

	int BE_LoadTexture(MPFW::Backends::Video::Agnostic::Picture pic);
	void BE_UnloadTexture(int picId);
	void BE_DrawColorTriangle(MPFW::Backends::Video::Agnostic::Triangle tri, MPFW::Backends::Video::Agnostic::Color col);
	void BE_DrawTexturedTriangle(MPFW::Backends::Video::Agnostic::TexturedTriangle tri);

	void BE_ImGui_Begin();
	void BE_ImGui_End();

	void BE_StartFrame();
	void BE_EndFrame();
};